Package com.xebialabs.xlrelease.domain.delivery

# Class Transition

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Transition

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false) public class Transition extends BaseConfigurationItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transition()`
  `Transition(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCondition(Condition condition)`
  `void`
  `checkRestrictions()`
  `Optional<Condition>`
  `findConditionById(String conditionId)`
  `List<Condition>`
  `getAllConditions()`
  `Condition`
  `getConditionById(String conditionId)`
  `List<Condition>`
  `getConditions()`
  `<C extends Condition>
  List<C>`
  `getConditionsOfType(Class<C> conditionClass)`
  `List<Condition>`
  `getLeafConditions()`
  `Condition`
  `getRootCondition()`
  `Stage`
  `getStage()`
  `String`
  `getTitle()`
  `boolean`
  `isAutomated()`
  `void`
  `setAutomated(boolean automated)`
  `void`
  `setConditions(List<Condition> conditions)`
  `void`
  `setStage(Stage stage)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transition

    public Transition()

  - ### Transition

    public Transition(String title)

- ## Method Details

  - ### getConditionsOfType

    public <C extends Condition> List<C> getConditionsOfType(Class<C> conditionClass)

  - ### getAllConditions

    public List<Condition> getAllConditions()

  - ### getLeafConditions

    public List<Condition> getLeafConditions()

  - ### addCondition

    public void addCondition(Condition condition)

  - ### getRootCondition

    public Condition getRootCondition()

  - ### getConditionById

    public Condition getConditionById(String conditionId)

  - ### findConditionById

    public Optional<Condition> findConditionById(String conditionId)

  - ### checkRestrictions

    public void checkRestrictions()

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getStage

    public Stage getStage()

  - ### setStage

    public void setStage(Stage stage)

  - ### getConditions

    public List<Condition> getConditions()

  - ### setConditions

    public void setConditions(List<Condition> conditions)

  - ### isAutomated

    public boolean isAutomated()

  - ### setAutomated

    public void setAutomated(boolean automated)